System.ServiceModel 4.0.0.0 System.ServiceModel.Syndication.SyndicationItemFormatter System.Xml.Serialization.IXmlSerializable System.Xml.Serialization.XmlRoot("item", Namespace="")

Use this class to serialize instances of and to create an instance of from an XML document that represents an RSS 2.0 item. If you have derived a class from and want to serialize it, use the formatter.

A class that serializes a instance to and from RSS 2.0 format.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

  The to serialize.
- Constructor
  4.0.0.0

  Use this constructor to specify a class derived from to instantiate when a syndication item is read in.

  Creates a new instance of the class.

  The instance derived from to associate with the .
- Constructor
  4.0.0.0

  If the parameter is true, all elements defined in the Atom 1.0 specification that are not defined in the RSS 2.0 specification are serialized with the Atom 1.0 namespace.

  Creates a new instance of the class.

  The to serialize.
  A value that specifies whether to serialize elements that are defined in the Atom 1.0 specification but not in the RSS 2.0 specification. The default value is true.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Verifies whether the specified contains a valid RSS 2.0 syndication item.

  A value that specifies if the contains a valid RSS 2.0 syndication item.

  The to read from.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationItem

  The newly created instance is not automatically associated with the used to create it.

  Creates a new instance.

  A new instance.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of the syndication item associated with the .

- Property
  4.0.0.0
  System.Boolean To be added.

  The default value of this property is true. Attribute extensions are XML attributes that are not defined in the Atom 1.0 specification. This property determines whether to write these attributes during serialization. Similarly, this property determines whether to preserve attribute extensions inside the AttributeExtensions properties in the instance when deserializing an RSS 2.0 item.

  Gets or sets a value that specifies whether to preserve attribute extensions during serialization.

- Property
  4.0.0.0
  System.Boolean To be added.

  The default value of this property is true. Element extensions are XML elements that are not defined in the Atom 1.0 specification. This property determines whether to write these elements during serialization. Similarly, this property determines whether to preserve element extensions inside the ElementExtensions property in the instance when deserializing an RSS 2.0 item.

  Gets or sets a value that specifies whether to preserve element extensions during serialization.

- Method
  4.0.0.0
  System.Void `` To be added.

  Reads an RSS 2.0 syndication item from the specified instance.

  The to read from.
- Property
  4.0.0.0
  System.Boolean To be added.

  The default value of this property is true. When this property is true, any properties in the class that cannot be represented in the RSS 2.0 format are serialized within the Atom 1.0 namespace; otherwise these properties are not be serialized.

  Gets and sets a value that specifies whether to serialize extensions within the Atom 1.0 namespace.

- Method
  4.0.0.0
  System.Xml.Schema.XmlSchema

  Override this method to return your own schema.

  Implements the method.

  Null.

- Method
  4.0.0.0
  System.Void `` To be added.

  Implements the method.

  The used to read the XML document.
- Method
  4.0.0.0
  System.Void `` To be added.

  Implements the method.

  The used to write XML node.
- Property
  4.0.0.0
  System.String To be added.

  indigo1 supports Atom 1.0 and RSS 2.0 syndication versions.

  Gets the syndication version used by the formatter.

- Method
  4.0.0.0
  System.Void `` To be added.

  Writes the associated with the to the specified .

  The to write to.